License Agreement and Copyright

The Win97 software program and this help file are Copyright © 2000-2006 Don Starr. All rights reserved.

IMPORTANT - READ CAREFULLY

This license and disclaimer statement constitutes a legal agreement ("License Agreement") between you (either as an individual or a single entity) and Don Starr (the "Author"), for this software product (the "Software"), including any software, media, and accompanying on-line or printed documentation.

BY DOWNLOADING, INSTALLING, COPYING, OR OTHERWISE USING THE SOFTWARE, YOU AGREE TO BE BOUND BY ALL OF THE TERMS AND CONDITIONS OF THIS LICENSE AND DISCLAIMER AGREEMENT.

You may not modify, reverse engineer, decompile, or disassemble the object code portions of this Software.

This Software is owned by Don Starr and is protected by copyright law and international copyright treaty.

You may not copy the Software or distribute the Software to any party other than those defined at the top of this license agreement.

This Software is provided "as is" and without any warranties expressed or implied, including, but not limited to, implied warranties of fitness for a particlar purpose.

In no event shall the author be liable for any damages whatsoever (including, without limitation, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use of or inability to use this Software or documentation, even if the author has been advised of the possibility of such damages.

Copyright © 2000-2006 Don Starr. All rights reserved.


Quick Start Guide

This section is intended to help you start using some of the basic features of Win97. It is assumed that you already have:

· downloaded Win97 and unpacked its files into a single folder (called the “installation folder” here),

· connected your PRO-97 to your PC’s serial (COM) port using a cable that supports the PRO-97, and

· turned the PRO-97 ON.

If you haven’t yet completed the above steps, see the following sections, as appropriate:

System requirements

Downloading and installing Win97

Connecting the PRO-97 to the PC

The remainder of this page will guide you through:

· Downloading the scanner’s data into Win97

· Saving the downloaded data as a P97 file (the file format used by Win97)

· Modifying the data (i.e. adding a Motorola Type-II trunked system)

· Saving the data as a new P97 file

· Uploading the new data to the PRO-97

Download from the scanner

1. From Win97’s Scanner menu, select the Download from Scanner item. (Alternatively, you can just press CTRL+D on the PC’s keyboard).

2. The download process will begin. Both the scanner and Win97 will display progress bars, roughly indicating the amount of data transferred.

3. When the transfer is complete, Win97 will display the downloaded data as a new “file” item. This new file will be named “(from scanner)”.

Save the downloaded data

1. From Win97’s File menu, select Save.

2. You’ll be presented with the “Save As” dialog box (since you’ve never saved this data before). The first time you run Win97, this dialog will start in either My Documents or the folder where you installed Win97. Subsequently, it will “remember” where you last saved or loaded a file and will start in that location.

3. Navigate to the location where you want to save the file. It is suggested that you use either a subfolder of My Documents (e.g. “My Radio Files”) or the folder where Win97 is installed.

4. In the File Name box, type a new name for the file. The file extension must be P97 (that is, the file must end with “.p97”).

5. Click the Save button. The file will be saved, and the “(from scanner)” name will change to the filename you entered.

Modifying the data

As an example of modifying the file’s data, we’ll enter a simple Motorola Type-II trunked system:

1. Select the “Channels” page.

2. Choose an unused bank by clicking on the up/down arrows next to the Bank field at the upper-left of the Channels page.

3. Set the bank’s Type to MOT, using the drop-down list at the top center of the page.

4. Enter the system’s control channel frequencies (we’ll make up a couple):

a. Click on a channel’s Alpha Tag cell (in the graphic above, we’ve clicked on channel 00’s tag).

b. If you single-click on a cell, you can begin typing a new value immediately. The first character typed will erase the existing data. If you double-click on a cell, then you’ll enter the edit mode, where you can move the blinking cursor through the existing data to change it.

c. Type the new Alpha Tag. In this example, just type CtrlChanA

NOTE: When entering Alpha Tags, you are limited to 16 characters of text. The data entry fields always contain exactly 16 characters, even if some of those characters are trailing spaces. If it appears that you are not able to enter 16 characters, press the DELETE key to remove trailing spaces.

d. Press the TAB key. The cell highlight (the white border around the active cell) will move to channel 00’s Frequency cell.

e. Type a new frequency – 867.8625.

f. Press the TAB key to move to the RxMode column, and press the ‘M’ key. This sets the channel’s receive mode to MOT (Motorola).

g. Press the TAB key 5 times. The cell highlight will move through the rest of channel 00’s cells and will end up on channel 01’s Alpha Tag.

h. Repeat steps (c) through (f) for channel 01, setting the Alpha Tag to CtrlChanB, the frequency to 866.2625, and the RxMode to MOT.

5. In the lower-right quadrant of the page, you’ll find the Talk Group entry grid. Make sure that the button labeled DEC is depressed.

6. Enter a couple of Talk Group IDs:

a. Click on the Alpha Tag cell for Talk Group ID 00.

b. Type a new alpha tag (keeping mind that the tag may already have 16 blank spaces!). For this example, just type “TalkGroup01”.

c. Press the TAB key. The cell highlight will move to the ID column.

d. Type a Motorola Type-II talk group ID. For example, 48.

e. Press the TAB key twice, to move the cell highlight to Talk Group ID 01’s Alpha Tag cell.

f. Repeat steps (b) through (d) to enter a second Talk Group ID.

You’ve now entered a simple Motorola Type-II system. The entries we’ve used as an example here probably won’t actually do anything for your local system - they’re just listed here to give an idea of how the data entry process works.

Save as a new file

To save the altered data as a new P97 file (so that you don’t overwrite the data that you previously downloaded and saved), select Save As… from Win97’s File menu. You’ll again be presented with the “Save As” dialog box. Follow the steps above under “Save the downloaded data”, but typing a different file name. The “file button” below Win97’s menus will change to show the new file name.

Upload to the scanner

1. From Win97’s Scanner menu, select Upload to Scanner. (Alternatively, you can just press CTRL+U on the PC’s keyboard).

2. The upload process will begin. Both the scanner and Win97 will display progress bars, roughly indicating the amount of data transferred.

On the PRO-97, you should now be able to look at the data in the bank you selected above and see your changes. Depending on the type of cable used, you may have to unplug the cable from the scanner’s PC/IF port before you’re able to control the scanner from its keypad.


Welcome to Win97

Please select a help topic from the Navigation pane to the left. You can select topics by:

  • browsing through the topic heirarchy under the "Contents" tab,
  • looking for an entry by keyword in the Index,
  • searching for any words in the "Search" tab, or
  • selecting a previously-saved location on the "Favorites" tab.

IMPORTANT

This help file assumes that you have a PRO-97 connected to a COM port on your Windows PC, via a supported cable. For information on cables, see the System Requirements text. For help connecting your scanner and verifying that the connection is OK, see the Connecting the Scanner page.


Features

Win97 is an application that allows you to manage the data in your PRO-97 Multi System Trunking Scanner. Among the main features are:

  • Full control over all scanner settings
  • Control over some "undocumented" features of the scanner
  • Interfaces directly with the PRO-97's "Virtual Scanner" folders

PLEASE NOTE: This help text does not attempt to teach you how to "program" the PRO-97. That is, it doesn't explain trunking systems, fleet maps, SAME/FIPS, etc.. Instead, this help text will show you how to use Win97 to change the scanner's data that you would otherwise enter via the scanner's keypad.

For information about the PRO-97, consult the user's manual that came with the scanner.

For information about various trunking systems, consult one of the many resources available on the 'net. For example: RadioReference.com.

  • To see what you need to run Win97, read the requirements section.
  • To get up and running with Win97, read the Quick Start Guide

To get the latest version of Win97, visit the Win97 home page.


System Requirements

In order to use Win97, you must have the following:

  • A copy of the Win97 program
  • A PRO-97 Multi-System Trunking Scanner
  • A programming cable. There are several cables that will work with the PRO-97. See this web page for detailed information.
  • A Windows (95, 98, NT4, 2000, XP) PC
  • An available serial ("COM") port. If you don't have a serial port, then you will have to use a USB-to-serial adapter. There is some information on those devices on the above "cable" web page.


Registration Information

Win97 is not "freeware". You may evaluate it, free of charge, for a 30-day trial period. If you wish to keep using Win97 after that trial period has expired, you must register it.

Before you register Win97, please take the time to make sure that it performs to your satisfaction. This is what the “trial period” is for. Ensure that you can download from and upload to the scanner using your cable of choice and any adapters (e.g. USB-Serial) that you may require for your particular configuration.

Registration instructions and pricing can be found on the Win97 web site here.


Installing Win97

Getting Win97

The most recent release of Win97 can always be found at the Win97 web site. When you download Win97, you’ll be saving a compressed file (Win97.ZIP) onto your local hard drive. You must have a decompression utility (e.g. WinZip) to open this file. (Windows XP users: Windows XP contains its own “unzipper” - no external utility is required).

Installing Win97

Win97 does not include an “installer” like many Windows programs.

After downloading the ZIP file, you need to extract the files it contains to a single location (folder) on your hard drive. Typically, this would be a new folder that you create. For example: “C:\Program Files\Win97”.

The ZIP archive contains these files:

· Win97.exe The Win97 program. This is the file you “run”.

· Win97Help.chm This help file.

· WinXXCommon.dll A library shared by all of the WinXX programs, so that their “look and feel” stays constant.

NOTE: On Windows 98 and Millennium machines, it may be necessary to reboot before you can run Win97. If it’s necessary, the program will inform you the first time you try to start it.

You may wish to create a shortcut to Win97 on your desktop (or in another location) so that you can conveniently launch the program. Here are the steps required to create such a shortcut on the desktop (these instructions are for Windows XP, but other versions of Windows are similar):

· Right-click on the desktop and, from the pop-up menu that appears, select New à Shortcut.

· The “Create Shortcut” wizard appears

· Click the Browse… button

· In the Folders tree that’s presented, navigate to the folder where Win97 is installed.

· Click on Win97.exe

· Click the OK button

· Click the Wizard’s Next button

· Type a name for the shortcut (e.g. Win97)

· Click the Finish button


Connecting the Scanner

1. If you already have an available serial (COM) port, skip to step 2. Otherwise, connect a USB-to-serial adapter:

a. Plug your USB adapter into an available USB port. Follow the instructions supplied with the adapter to install any required drivers, etc.

b. If you don’t know what COMx value was assigned to the port, use Device Manager (in Control Panel) to view “Ports”. Make a note of the COMx value used by the adapter.

2. Plug the DB-9 Female end of the programming cable into an available serial (COM) port. For information about supported cables, follow this link.

3. Plug the cable’s 1/8” mono plug into the PC/IF port on the right-hand side of the PRO-97.

4. If the scanner is powered ON, the display may or may not indicate “Clone Mode”. This is highly dependent on the cable you use. For example, the original GRE (grey) cable doesn’t seem to cause this display, while the “Purple” cable does. If the display doesn’t change to “Clone Mode”, don’t worry (yet) – we’ll verify that the cable works in the next few steps.

Verify that you’ve connected the scanner properly, using Win97:

1. Turn the scanner ON.

2. Launch Win97.

3. Under Win97’s Configuration menu, select Serial Port….

4. Make sure the selected COM port number matches the COM port to which you attached the scanner.

5. Click the OK button to close the Serial Port Configuration window.

6. From the Scanner menu, select Download from Scanner (or press CTRL+D).

7. Win97 will attempt to start a download operation, retrieving the scanner’s current settings. The scanner’s display should indicate that it’s in Clone Mode, and that it is sending data.

If the scanner does not begin sending data, or if Win97 displays an error message (e.g. Unable to open the COM port, timeout waiting for header, expected to read back data, etc.), you should attempt the following one at a time:

1. Double-check to ensure that you have the correct COM port selected.

2. Make sure the programming cable is firmly seated in the scanner’s jack and in the PC’s 9-pin connector.

3. Make sure that no other software is using the serial port. The usual suspects include PDA “sync” software, such as Palm’s HotSync. You must either close such software, or temporarily disable it (so that it’s no longer using the port).

4. Under Win97’s Configuration menu, select Serial Port…, and try each of the following:

a. If you’re using a USB adapter, try checking the Extra Write Time option.

b. If you’re using a home-built cable, try checking the Set RTS Line High option. If you’re using a GRE or Purple cable, make sure this item is not checked.

c. If you’re using a one-way cable, make sure the Enable “Readback” Tests item is not checked. (Note: a one-way cable cannot be used to download from the scanner; you can only upload to the scanner with this type of cable).

5. If no combination of the above helps, you should try another computer. There have been rare instances of serial port hardware that cannot drive the electronics in the interface cable.


Win97 Menus

Some Win97 functions can be selected via the program’s on-screen menus. These menus are:

File

Edit

Search

Scanner

Configuration

Help


File Menu

From the File menu, you can select the following:

New template Creates a new file with default settings. Also available by pressing CTRL+N.

Open… Displays the “Open” dialog box, from which you can select an existing P97 file that you want to bring into Win97 so that you can edit it and/or upload it to the scanner. Also available by pressing CTRL+O.

Save Saves the current file to disk. If you have never saved this file (i.e. it was either a new template, downloaded from the scanner, or was created via Virtual Scanner interface, then this option will act as if you had selected Save As…. Also available by pressing CTRL+S.

Save As… Displays the “Save As” dialog box, from which you can specify the location and file name with which to save the current data.

Export… Allows you to save the file in formats other than Win97’s native P97 binary format. See the File Import and Export page for more details.

Import… Allows you to load a non-P97 file from disk. See the File Import and Export page for more details.

Close Closes the P97 file that you’re currently editing. If this is the only file open, a “new template” will be created in its place. Also available by pressing CTRL+F4.

Exit Win97 Closes the Win97 program. Also available by pressing ALT+F4, or by clicking the “Close” button at the extreme right end of the Win97 title bar (the button looks like an X).


Edit Menu

From the Edit menu, you can select the following:

Cut Only available on the Channels page, this item lets you “cut” the selected Channels or Talk Group IDs to the clipboard, so that they can be pasted to another location in Win97 (i.e. another bank or file), or to an external program. The items will always be copied to the clipboard, but you’ll be prompted as to whether you want to delete them (and how you want to delete them – by just erasing or by moving following entries “up” in the list). Also available by pressing CTRL+X. For more information about copy/paste formats, see this page.

Copy Only available on the Channels page, this item lets you “copy” the selected Channels or Talk Group IDs to the clipboard, so that they can be pasted to another location in Win97 (i.e. another bank or file), or to an external program. Also available by pressing CTRL+C. For more information about copy/paste formats, see this page.

Paste Only available on the Channels page, this item lets you “paste” previously-copied items from the clipboard to either the Channels or Talk Group ID list. This is useful for moving channels or talk groups within a bank, among different files, or from an external program into Win97. Also available by pressing CTRL+V. For more information about copy/paste formats, see this page.

Insert Item Only available on the Channels page, this item lets you insert a new, blank item before the top-most selected item in either the Channels or Talk Group ID list. This function is also available by pressing ALT+INSERT.

Delete Item(s) Only available on the Channels page, this item lets you delete the selected item(s) in either the Channels or Talk Group ID list. This function is also available by pressing ALT+DELETE.

Move Item(s) Up Only available on the Channels page, this item lets you move the selected item(s) in either the Channels or Talk Group ID list “up” by one position. This function is also available by pressing CTRL+UpArrow.

Move Item(s) Down Only available on the Channels page, this item lets you move the selected item(s) in either the Channels or Talk Group ID list “down” by one position. This function is also available by pressing CTRL+DownArrow.

Bank Editor… This item starts the Bank Editor function, and is also available by pressing ALT+B.

Copy Bank… This item starts the Copy Bank function, in which you can copy the current bank from the current P97 file to any destination bank in any other open P97 file. (This function is disabled if you have only one file open or are not on the “Channels” page). After selecting this menu item, you will be presented with a window prompting you for the target P97 file and bank. This is where the currently viewed bank data will be copied. This function is also available by pressing CTRL+ALT+B.

Sort X by Y These four items allow you to sort the channels list by alpha tag or frequency, and the talk group list by alpha tag or ID. Only the currently-displayed data will be sorted: either the 100 channels in the current bank, or the 30 IDs in the current ID sub-bank. Some notes on the sorting:

· When sorting channels by alpha tag, any channel with the “default” alpha tag (e.g. Bank 0 Ch 22) will be placed later than channels with non-default tags.

· When sorting channels by frequency, any channel with a frequency of 0.00000 will be placed later than channels with non-zero frequencies.

· When sorting talk group IDs by alpha tag, any ID with a blank alpha tag will be placed later than IDs with non-blank tags.

· When sorting talk group IDs by ID, any ID that has a value of zero (regardless of display format) will be placed later than entries with non-zero values.

The above conventions are intended to place unused channels and talk group IDs at the ends of the lists.

Justify Alpha Tags… This item will justify alpha tags within each bank. When selected, it will bring up a dialog box from which you can select the types of tags to be centered (bank tags, channel tags, talk group ID tags), the type of justification (left, center, or right) and whether the operation is to take place in only the current bank or in all banks. Note: Alpha tags will not be centered on entry – you must select this item to center the various tags. Also, note that when justifying talk group ID tags, all tags will be affected, not just the ones in the currently-selected sub-bank.

Fill Frequencies… This item starts the Fill Frequencies function. It will display a window in which you enter:

· The starting channel number. Defaults to the channel that’s currently selected, or channel 00 if nothing is selected.

· The starting frequency. Defaults to the currently-selected channel’s frequency, or the frequency of channel 00 if nothing is selected.

· The step size. Defaults to 5 kHz.

· How far to fill. You can either enter a number of channels or an ending frequency. You must also select the “end mode” via the selections to the right of the channel count and end frequency fields. Defaults to “fill by channel count” and 1 channel.

· The receive mode to set for the filled channels. Defaults to the receive mode of the currently-selected channel, or of channel 00 if nothing is selected.

· The Delay, Attenuation, and Lockout settings for each filled channel. These default to “OFF”.

· Whether you want to insert before the starting channel or overwrite it and those that follow.


Search Menu

From the Search menu, you can select the following:

Find Alpha Tag…

Starts the “search for alpha tag” operation, which looks for a specified alpha tag across all channels in all banks. Also available by pressing CTRL+F.

Find Frequency…

Starts the “search for frequency” operation, which looks for a specified frequency across all channels in all banks. Also available by pressing CTRL+SHIFT+F.

Find Talk Group ID…

Starts the “search for talk group ID” operation, which looks for a specified talk group ID across all IDs, in all sub-banks, and in all banks. Also available by pressing CTRL+ALT+F.

Find Next

Repeats the last “Find” operation, starting after the last found item. Also available by pressing CTRL+G. This item is only available if you’ve already performed a Find operation, and the operation has not yet returned “No more matches found” message to you.

Find Duplicate Frequencies

Searches the current P97 file, through all channels in all banks, looking for frequencies that are entered in more than one place. If there are duplicate entries, a message will be displayed that shows them. For example:

Channel 012 (25.00000MHz) is duplicated at: 026, 313, 847

The duplicate search only looks at frequencies; it does not care if the duplicates are “locked out” or use different receive modes.


Scanner Menu

From the Scanner menu, you can select the following:

Download from Scanner This item starts a download operation, retrieving the scanner’s current settings into Win97. Also available by pressing CTRL+D.

Upload to Scanner This item starts an upload operation, sending the active Win97 file to the scanner. Also available by pressing CTRL+U.

Show Upload History This item displays the history of uploads to the scanner. Each entry is described with the upload time, line 4 of the Welcome Display, and the name of the P97 file uploaded. The data resides in the file Win97ProgrammingLog.txt, and can be read with any text editor. The data is updated when a normal upload operation completes successfully. NOTE: If you edit the log file (Win97ProgrammingLog.txt), the history window may not be able to accurately show the upload history. The program expects the file to be in a specific format, and in reverse chronological order (most recent uploads at the top).


Configuration Menu

From the Configuration menu, you can select the following:

Misc… This item displays the “miscellaneous preferences” dialog box. That box allows you to control the following options:

o        Tell Win97 to allow you to enter more than 16 characters in the various alpha tag fields. This has no effect on the fact that exactly 16 characters will be saved in the file and sent to the radio. It’s merely here so that you can type new text into a tag field that is already “full”. When the file is saved or the data sent to the radio, all alpha tags will be truncated (or padded with spaces) so that they are 16 characters long. Note: The “grids” (SAME codes, Channels, Talk Group IDs) will be adjusted to 16 characters as soon as the current alpha tag’s entry is complete. The other tags (priority channel, welcome display, etc.) will be adjusted when their respective edit boxes “lose focus” – this happens when you click on another data entry field, press TAB, go to another page, etc..

The 16-character requirement is a function of the radio. Its memory map has, for each alpha tag, 16 bytes of space. When the radio decides that it will display a tag, it reads exactly 16 bytes from its memory and displays them on the LCD.

o        Associate P97 files with the currently-running version of Win97. If you click this button, your Windows registry will be updated so that future double-clicks on P97 files (e.g. from Windows Explorer) will launch Win97 and open the file. This feature is added as an explicit button press because a) there’s no “installation” program for Win97 that would normally associate files and b) if you move Win97 to new folder, clicking this button will update the registry to point to the new Win97 location.

Serial Port… This item displays the serial configuration dialog box. This is where you set the COM port to be used by Win97, as well as any “special” serial settings that might be required for your configuration. These special settings are:

a. Extra Write Time. This may be needed for some USB-to-Serial adapters (e.g. the iogear GUC232A).

b. Set RTS Line HIGH. Some home-built cables need this item enabled.

c. Enable “Readback” tests. When checked, this causes Win97 to expect that every character written to the scanner will also be read back from the serial port (this is due to the nature of the scanner’s PC/IF interface). If you are using a one-way cable, make sure that this item is not checked.

More information on the use of these options is available on the connecting the scanner page.

User Interface… This item displays the user interface configuration dialog box. In that box, you can select the height of the rows in the various data entry grids, tell Win97 to use a fixed-pitch (i.e. Courier) font in the Alpha Tag fields, and specify the size (pitch) of the data entry grid fonts (the size is specified in tenths of a point, so 100 represents 10-point text).

Warn on Duplicate Talkgroup IDs If you check this menu item, Win97 will display a warning message if you enter the same Talk Group ID in multiple “slots” in the same bank.


Help Menu

From the Help menu, you can select the following:

Using the program… This item displays this help text. It is also available by pressing the F1 key.

About the program… This item displays the program’s “About Box”, containing version and copyright information and a button that displays the license agreement.


The Data Entry Pages

Win97’s main window is divided into several sections for the various types of data you can enter. These pages (or “tabs”) are organized into functional sections. For example, the “Channels” page is where you enter frequencies, talk group IDs, etc. for the scanner’s 10 banks. (The “Settings” page is kind of a “catch-all” miscellaneous page for settings that are global to the scanner and/or don’t belong on any other page).

Click one of the following links for information about a specific data entry page:

Settings/Weather

Channels

SR0 Marine / SR1 CB

SR2 FRS/GMRS/MURS

SR3 Police/Fire

SR4 Aircraft

SR5 Ham

SR6 Limit Search

Signal Stalker


Selecting Grid Items

The “data grids” in Win97, used for things like Channel and Talk Group lists on the Channels page, etc. are intended to be similar to common spreadsheet programs in their use.

Here are some common operations within the grids:

· Selecting contiguous items: To select a range of items in a grid (e.g. channels 02 through 15 on the Channels page), click on the first item to be selected. Next, press and hold down the SHIFT key and click on the last item to be selected. The full range of items should now be highlighted, ready for some operation that takes a range of items (e.g. Copy a range of channels to the clipboard).

· Selecting non-contiguous items: To select multiple items that are not contiguous (e.g. channels 02, 07, and 15 on the Channels page), click on one of the items to be selected. Next, press and hold down the CTRL (control) key and click on the other items, one-by-one. The individual items should now be highlighted.

· Navigating within the grid: The grid cell item that has the “focus” (i.e. the item that will be altered if you start typing text) is indicated by a thin border within its cell:

In the example above, channel 02 is selected and the Frequency column has the cell highlight. If you were to start typing text, the frequency would be changed.

You can move around within the grid in several ways. You can use the mouse to click on a target “cell”, you can use the PC’s “arrow keys” to move up, down, left, and right, or you can use the TAB and SHIFT+TAB key combinations to move through all cells in sequence. When entering a large amount of data for the first time (e.g. channel tags, frequencies, etc.), you might find it most convenient to use the TAB key: click on the first Alpha Tag to be entered, type the tag’s text, press TAB, type the channel’s frequency, press TAB, etc. The TAB key will cause the cell highlight to move left-to-right, top-to-bottom through the entire data entry grid.

· Editing an item: There are many ways to start the editing process within a single grid cell item. The easiest is probably to just navigate to the item to be edited and begin typing. Another way is to double-click on a cell, which puts the grid cell into its “data entry” mode:

In this example, we’ve double-clicked on channel 02’s Frequency cell, placing the cell into data entry mode. This is indicated by the [ ] at either side of the cell, as well as the blinking cursor. In this mode, you may move the cursor left or right with the PC’s arrow keys, and edit individual characters.

For grid items that contain a one-of-many “list selection”, such as the RxMode (receive mode) column on the Channels page, double-clicking on the cell displays the list of available choices. You may then select the desired value. Or, you can just navigate to the cell and press the first letter of the desired value. For example, if you want to change a channel’s receive mode to MOT from the default of FM, you can just navigate to the cell, press ‘M’, then navigate away (i.e. with the TAB key).

For grid items that contain a check box, you can toggle the check box’s value by either clicking on the box with the mouse, or by pressing the space bar while the cell is highlighted. If you click on the column heading for such a column (e.g. the “Delay” column on the Channel’s page), then all items in the grid for that column will be changed – the first item in the list is toggled, then the remaining items are set to the same value as the first item.


The Settings and Weather Page

The Settings/Weather Page

The Settings/Weather page allows you to set many global features of the scanner. The PRO-97’s Weather functionality is also controlled on this page.

To view the Settings/Weather page, click the “Settings/Weather” tab:

The following describes the various features of the Settings/Weather page, divided into functional sections.

Priority Channel

This section controls the various aspects of the PRO-97’s Priority Channel function:

· Priority Channel ON: When this box is checked, the scanner will periodically tune to the priority channel frequency and check for activity.

The next six fields are similar to entering data for a channel in a bank:

· Alpha Tag: Here you may enter an Alpha Tag that will be displayed when the priority channel is active.

· Frequency: This field is where you enter the frequency to be used as the priority channel. Any value here will be overridden by a “Weather Channel” selection below, if any.

· Mode: You may set the receive mode for the channel. Available options are AM, FM, CT, and DC. If you select CT or DC, then you may set the CT or DC frequency/code in the next field.

· CT/DC: If you select CT or DC under Mode, you may set a specific CT or DC frequency/code here. If you enter a non-zero value in this field, the scanner will not stop on the priority channel unless the received transmission matches entered your CT/DC value. If you enter a zero value (0.0 for CT, or 000 for DC), the scanner will stop on all received transmissions and will display the received value (same as CT-Search mode for a regular channel).

· Delay: If checked, the scanner will remain on the priority channel frequency for a short period after a received transmission.

· Attenuation: If checked, the received RF signal will be attenuated (useful for too-strong signals).

· Use Weather Channel: If checked, the scanner will use one of the seven Weather channels as the priority channel. Checking this box and entering a Weather channel number in the next field overrides the Frequency and Mode values that you may have entered above.

· Weather Channel: If the above box is checked, the scanner will use the Weather channel you enter here as the priority channel.

Tune Mode

This section lets you control how the scanner manually tunes a frequency (see “Manually Tuning a Frequency” in the PRO-97 manual).

· Mode: Here you set the receive mode to be used in Tune Mode. If you leave this at the “Default” setting, the scanner chooses a receive mode appropriate for the current frequency band. You may also force the scanner to AM, FM, CT, or DC modes. If you choose one of the latter two (the CTCSS modes), the scanner will display the received CT frequency or DC code when it stops on a received transmission.

· Delay: If checked, the scanner will remain on a tuned frequency for a short period after received transmission. Otherwise, the scanner will begin searching again when the transmission ends.

· Attenuation: If checked, the received RF signal will be attenuated (useful for too-strong signals).

· Scan Down: If checked, the scanner will search in order of decreasing frequency. Otherwise, the scanner searches in order of increasing frequency.

· Trunk ID Display: You can set the Trunk ID (talk group ID) display to be either Text (an Alpha Tag that you’ve entered) or Code (the numeric ID value). Note that this only makes a difference for Talk Group IDs that you’ve actually entered on the Channels page – IDs that you have not entered are always displayed in “Code” form.

· ID Sub-bank On/Off Mode: When checked, the scanner displays “T IDbk 01234” on the third line of the display when a trunked transmission is received. The 01234 portion of this display will vary based on which Talk Group Sub-Banks you have enabled. For any bank that is not enabled, a period (.) will be displayed instead of the sub-bank number.

If this item is not checked, then the scanner displays the control channel’s Alpha Tag on the third line of the display when a trunked transmission is received.

· Seek Mode ON in Search Mode: When checked, the scanner will pause on active frequencies in Search mode, then will resume searching even if the transmission is not complete. This affects the scanner’s “SRn” search ranges (e.g. Police/Fire, Ham, etc.).

If this item is not checked, will pause on active frequencies until the transmission is complete, then will resume searching.

· Enabled Scan Banks: Each of the scanner’s 10 banks may be individually enabled and disabled here. Any banks that are checked will be scanned when you hit the scanner’s “SCAN” button. Banks that are not checked will be skipped.

Backlight

This section lets you control various aspects of the PRO-97 backlight:

· Backlight On: You can enter the duration of the backlight; that is, how long the backlight stays on after it is initially lit. The value you enter here is in “centiseconds” (i.e. 1/100th of a second). For example, a value of 500 will cause the backlight to stay on for 5.00 seconds.

· Backlight on first key: If checked, the backlight will turn on every time you press a key on the PRO-97 keypad.

· (and first key ignored) This feature works along with the Backlight on first key feature. If that other feature is enabled, then this check box does this: if this box is checked, then the first key pressed merely turns on the backlight; if this box is not checked, then the first key pressed turns on the backlight and performs its “normal” function.

· Display Contrast: You may enter a value for the scanner’s LCD contrast here. Allowable values are from 0 (lightest) to 7 (darkest). The scanner’s default is 3.

· Battery Level: You can change the scanner’s default voltage levels for its “battery low” warning. The “LO” value sets the point at which the scanner starts displaying the warning (default: 3.94VDC). The “HI” value sets the point at which the scanner dismisses an existing warning (default: 4.63VDC). (The “HI” value is used for hysteresis, as the battery level will rise and fall with scanner activity).

· Welcome Display: You can change the 4 lines of text displayed by the scanner when it first powers on. Each line may be up to 16 characters in length.

· Scan Down: This controls the direction in which the scanner moves through channels when scanning. If checked, the radio scans in order of decreasing channel number; otherwise, the radio scans in order of increasing channel number.

· Keypad Tone ON: When checked, the scanner will “beep” on every key press; otherwise, the scanner is silent.

· Attenuation Mode: Here you can select between “Normal” and “Global” attenuation. If you select Normal, then each channel’s attenuation setting is in effect. If you select “Global”, then the next field controls attenuation for every channel (the channels’ attenuation settings are ignored).

· Global Attenuation ON: When checked, “Global” attenuation is turned on; otherwise, it is turned off. This setting only has an effect if the “Attenuation Mode” above is set to “Global”.

Weather

This section lets you control various aspects of the PRO-97’s Weather functions:

· Attenuation: You can individually turn on or off each weather channel’s attenuation.

· NWR SAME Codes: This grid lets you enter up to 10 weather SAME codes to watch for and/or lock out. For each, you can enter an Alpha Tag, 6-digit alphanumeric code, and lockout setting. (Note that while you can enter any valid SAME code here, the PRO-97 only recognizes numeric codes).


The Channels Page

The Channels page is where most of the “useful” scanner information is entered. Here you control the 10 banks’ channels, talk group IDs, trunking tables, trunking modes, etc..

To view the Channels page, click the “Channels” tab:

This page’s features can be divided into 5 functional areas:

1. General bank information (Alpha Tag, Open/Closed, Trunking Mode),

2. The current bank’s fleet map (if a Motorola Type-I system).

3. The current bank’s trunking tables information,

4. The channels list for the current bank, and

5. The talk group ID list for the current bank.

The items above are listed in the recommended order of data entry. This is especially important when programming trunked systems, as the entry format for talk group IDs depends on the Trunking Mode and Fleet Map.

All of the information on this page is per bank. The bank number to be edited or displayed is selected by clicking the up/down arrows next to the “Bank” item at the top left of the page.

General Bank Information:

· Tag: Here you enter the bank’s 16-character alpha tag. This text will be displayed when the scanner receives a conventional (non-trunked) transmission in this bank. INFO: For Motorola systems, this tag will not be displayed when receiving a trunked transmission in this bank.

· Closed: When this box is checked, the scanner will only receive trunked transmissions for talk group IDs that are:

a. entered into one of the slots in the Talk Group IDs section,

b. in a Talk Group sub-bank that is enabled, and

c. is not “locked out”

If this item is not checked, then the scanner will receive all talk group IDs that are not locked out.

· Type: This field controls the “trunking mode” for the bank. Your choices are Conv (not trunked), MOT (a Motorola Type I, II, or I/II system), EDACS, or LTR.

IMPORTANT: When programming a trunked system, set this field to the appropriate mode before entering talk group IDs.

Fleet Map:

When programming a Motorola Type-I or mixed Type-I/II system, you’ll need to enter the system’s fleet map. This data tells the scanner how to interpret and display talk group ID values. You enter this data in the section labeled Fleet Map.

You have two options when entering the fleet map:

a. Select a “predefined” map from the Presets list. This is useful if the system uses one of the maps of the form E1P7. If the system doesn’t use one of these common maps, or if you don’t know what preset to use, you can enter the fleet map explicitly as described in the next option.

b. Enter the fleet map explicitly. There are 8 “blocks”, and each block has a “size code” from S00 to S14. Starting with Block 0 and working up to Block 7, select the appropriate size code from the drop-down list. Note that some of the size codes (e.g. S12, S13, and S14) use more than one block. S12 occupies 2 blocks, so if you set one block to S12, one other block will be set to S12 as well.

Note: When programming a Motorola Type-II system, make sure all blocks are set to size code S00.

IMPORTANT: When programming a trunked system (especially a Motorola system), program the fleet map before entering talk group IDs.

Trunking Tables:

Motorola trunking systems use these tables to map “channel numbers” to voice frequencies. When the scanner receives, on the system’s control channel, information about a transmission for a talk group that it “wants” to hear, it uses the channel number sent over the control channel to calculate the appropriate voice frequency. It then tunes to that voice frequency and lets you hear the audio.

Most Motorola systems can be monitored using the radio’s default settings. However, some systems (especially UHF systems) require that you set specific “trunking table” information so that the scanner can calculate the correct voice frequencies.

The Win97 Channels page sections that let you control these calculations are:

· MOT 800 MHz Lets you choose Normal and Splinter for Motorola 800 MHz trunking systems. Splinter systems are sometimes used along border areas.

· MOT Custom Trunking Table Allows you to enter up to three sets of Base/Offset/Step information for Motorola VHF and UHF (400 MHz) systems.

Channels List:

This list is where you enter all of the frequencies for the system or area you want to scan. See this page for more information about selecting and editing cells in one of these grids.

· Tag: Here you enter the channel’s 16-character alpha tag. This text will be displayed on the 3rd line of the scanner’s LCD when a transmission is received on this channel’s frequency (or, for a Motorola trunked system where this channel is the control channel, when a trunked transmission is received on the system).

· Frequency: Enter the channel’s frequency, in megahertz. Each “range” of frequencies in the PRO-97 has a valid step size (see the Limit Search page for information on ranges/steps). If you enter a frequency that is not on a valid step, or is otherwise “out of range”, Win97 will automatically adjust the value to the nearest valid frequency.

· Rx Mode: Select the desired receive mode for the channel. Your choices are:

· AM

· FM

· MOT (use this for frequencies that are part of a Motorola trunked system)

· EDACS (use this for frequencies that are part of an Ericsson/GE EDACS trunked system)

· CT (see the CT/DC item below)

· DC (see the CT/DC item below)

· LTR (use this for frequencies that are part of an LTR trunked system)

· CT/DC: If you select CT or DC for the RxMode above, you can enter a CT frequency or DC code for the channel. If you enter such a code, the scanner will only stop on transmissions that match the value entered. If you leave the code at the default of 0.0 or 000, the scanner will stop on all transmissions but will display the CT frequency or DC code as received.

If you enter an invalid CT frequency or DC code, Win97 will adjust your entry to a valid setting.

· Delay: If a channel’s Delay box is checked, the scanner will wait briefly at the end of a received transmission on that channel before continuing the scanning process. Note: this has no effect on channels that are part of trunked systems; it is for conventional frequencies only.

· Atten: When checked, the scanner will attenuate the received RF signal on this channel.

· LOut: When checked, this channel is “Locked out”, and will not be scanned.

Talk Group ID List:

This list is where you enter all of the Talk Group IDs for the trunking system that you want to scan. See this page for more information about selecting and editing cells in one of these grids.

· Tag: Here you enter the talk group ID’s 16-character alpha tag. This text will be displayed on the 4th line of the scanner’s LCD when a transmission is received for this talk group. Note: If you have selected “Code” under “Trunk ID Display” on the Settings page, then this text tag will not be displayed; instead, the scanner will display the numeric code for this talk group ID.

· ID: This field holds the numeric talk group ID. The entry and display formats of this code will vary based on:

a. The bank’s trunking mode (MOT vs. EDACS vs. LTR),

b. The selected talk group display format (DEC, HEX, or AFS), and

c. The fleet map (if this is a Motorola Type-I or mixed Type-I/II system).

When entering talk group IDs, you must ensure that the format you enter is appropriate based on the above three variables. If you enter an ID that is malformed or otherwise “invalid”, Win97 will let you know. The message displayed by Win97 won’t quite tell you what you need to enter; it will just tell you that the data you entered was bad and will show the expected format and/or range of values.

· LOut: When checked, this talk group ID is “Locked Out”. No transmissions for this talk group will be received, even if the scanner is in its “Open” mode.

To the left of the talk group ID list are three other configuration items:

· A column of “radio buttons” (a one-of-many selection) that allows you to choose which of the 5 talk group ID sub-banks is currently displayed in the list.

· A column of check boxes that allows you to individually “turn on” any or all of the 5 talk group ID sub-banks. This is analogous to turning on the sub-banks from the scanner’s keypad from the “T IDbk 01234” (ID sub-bank mode) display.

· Three buttons that allow you to choose the data entry/display format. Your choices are DEC (decimal), HEX (hexadecimal), and AFS (Agency-Fleet-Subfleet). IMPORTANT: If you’re pasting external talk group ID information into Win97, you must set this display/entry format before pasting the data. Win97 uses this setting to interpret entered and pasted values.

ID Delay This setting controls how long the scanner watches the trunked system’s control channel, after a transmission has ended, for a new transmission on the same talk group. The value is entered in milliseconds (i.e. a value of 2000 means 2 seconds).


The Marine/CB Page

The Marine/CB page allows you to enter lockouts, set delay, and otherwise control the operation of the scanner while searching through the Marine and CB channels (the PRO-97’s “SR0” and “SR1” search ranges).

To view the Marine/CB page, click the “SR0 Marine / SR1 CB” tab:

Win97 allows you to control the same settings for both ranges. Some settings are global to each range, while others are channel-specific:

· Search On: When this box is checked, the scanner will begin searching through the range as soon as the range is selected. If this box is left cleared, the scanner will not search, remaining on a single channel within the range (as if it were in a “manual” mode).

· Scan Down: When this box is checked, the scanner searches through the range’s channels in descending order (high channel numbers to low channel numbers, wrapping from channel 01 back to the highest channel). If this box is left cleared, the scanner searches in ascending order.

· Delay: If a channel’s Delay box is checked, the scanner will wait briefly at the end of a received transmission on that channel while searching.

· Attenuation: If a channel’s Atten box is checked, the scanner will attenuate the incoming signal for that channel. This applies whether the scanner is searching through the channels or not.

· Lockout: If a channel’s LOut box is checked, the scanner will not stop on that channel while searching.


The FRS/GMRS/MURS Page

The FRS/GMRS/MURS page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the FRS, GMRS, and MURS channels (the PRO-97’s “SR2” search range).

To view the FRS/GMRS/MURS page, click the “SR2 FRS/GMRS/MURS” tab:

Some of the range’s settings are global to all channels, while others are channel-specific:

· Search On: When this box is checked, the scanner will begin searching through the range as soon as the range is selected. If this box is left cleared, the scanner will not search, remaining on a single channel within the range (as if it were in a “manual” mode).

· Scan Down: When this box is checked, the scanner searches through the range’s channels in descending order (high channel numbers to low channel numbers, wrapping from channel 01 back to channel 27). If this box is left cleared, the scanner searches in ascending order.

· RxMode: You can set the receive mode for all channels. The default is “Default”. You can also select AM, FM, CT or DC (CTCSS modes). While you can select these two CTCSS modes, you cannot specify CT or DC codes.

· Delay: If a channel’s Delay box is checked, the scanner will wait briefly at the end of a received transmission on that channel while searching.

· Attenuation: If a channel’s Atten box is checked, the scanner will attenuate the incoming signal for that channel. This applies whether the scanner is searching through the channels or not.

· Lockout: If a channel’s LOut box is checked, the scanner will not stop on that channel while searching.


The Police/Fire Page

The Police/Fire page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the various Police and Fire bands (the PRO-97’s “SR3” search range).

To view the Police/Fire page, click the “SR3 Police/Fire” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Police/Fire page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

The Police/Fire search range is divided into four distinct frequency ranges, or “groups”. The frequency ranges and step sizes for each group are listed under “Group Information” at the right-hand side of the Police/Fire page.

In the center of the Police/Fire page, you can turn each group on or off (so that it is searched or not), and you can set each group’s attenuation flag. Checking or clearing the appropriate boxes for each group controls these options.

You can set the Delay, Zeromatic, and Scan Direction for the entire Police/Fire search range by checking or clearing the appropriate check boxes.

You can also set the Receive Mode for the entire Police/Fire range. The default is “Default”. You can also select AM, FM, CT or DC (CTCSS modes). While you can select these two CTCSS modes, you cannot specify CT or DC codes.


The Aircraft Page

The Aircraft page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the 108.0000 – 136.9916 MHz Aircraft band (the PRO-97’s “SR4” search range).

To view the Aircraft page, click the “SR4 Aircraft” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Aircraft page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

You can set the Delay, Attenuation, Zeromatic, and Scan Direction for the entire Aircraft search range by checking or clearing the appropriate check boxes.


The Ham Page

The Ham page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the various Amateur Radio bands (the PRO-97’s “SR5” search range).

To view the Ham page, click the “SR5 Ham” tab:

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Ham page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

The Ham search range is divided into six distinct frequency ranges, or “groups”. The frequency ranges and step sizes for each group are listed under “Group Information” at the right-hand side of the Ham page.

In the center of the Ham page, you can turn each group on or off (so that it is searched or not), and you can set each group’s attenuation flag. Checking or clearing the appropriate boxes for each group controls these options.

You can set the Delay, Zeromatic, and Scan Direction for the entire Ham search range by checking or clearing the appropriate check boxes.

You can also set the Receive Mode for the entire Ham range. The default is “Default”. You can also select AM, FM, CT or DC (CTCSS modes). While you can select these two CTCSS modes, you cannot specify CT or DC codes.


The Limit Search Page

The Limit Search page allows you to enter lockouts, set delay and attenuation, and otherwise control the operation of the scanner while searching through the entire frequency range of the PRO-97, or any subset of that range that you specify (the PRO-97’s “SR6” search range).

To view the Limit Search page, click the “SR6 Limit Search” tab:

Specify the low and high frequencies for your search by entering them in the “Low Frequency” and “High Frequency” boxes provided. If you enter a frequency that is not on a valid step (see the list at the right-side of the page), it will be adjusted to the nearest valid frequency.

Set the Receive Mode for the entire Limit Search range. You can use the scanner’s “Default” setting, our you can explicitly set AM, FM, CT, or DC modes. While you can select these two CTCSS modes, you cannot specify CT or DC codes.

If desired, you can change the SR6 Alpha Tag. This is the text that’s displayed when you’re searching through SR6 on the scanner.

You can enter up to 50 frequencies in the “Lockouts” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency, according to the frequency range and step size information listed under the “Group Information” block at the right-hand side of the Limit Search page. Press the PC’s ENTER (or RETURN) key to save the lockout frequency. If you enter a frequency that is not within the scanner’s frequency range, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

You can set the Delay, Attenuation, Zeromatic, and Scan Direction for the entire Limit Search range by checking or clearing the appropriate check boxes.


The Police/Fire Page

The Signal Stalker Page

The Signal Stalker page allows you to enter lockouts, enable/disable groups, and otherwise control the operation of the scanner while using the Signal Stalker function.

To view the Signal Stalker page, click the “Signal Stalker” tab:

You can enter up to 50 frequencies in the “Lockouts – Police/Fire” list, and up to 150 in the “Lockouts – All Band” list. To enter a new lockout frequency, click on the data-entry cell in the Frequency column for the lowest numbered blank row. For example, if there are currently 10 lockout frequencies entered, they will occupy rows 00 through 09. You must enter the next lockout in row 10. Type the new frequency and press the PC’s ENTER (or RETURN) key to save it. If you enter a frequency that is not within the search range’s band, or is not on a valid step for the range, then it will be automatically adjusted to the nearest valid frequency.

To delete one or more lockout frequencies from the list, select them in the Lockouts grid then click the Delete button. All remaining items will be moved so that they start at #00 and use sequential item numbers (i.e. so there are no blank spaces in the list between lockout frequencies).

In the center of the page, you can turn each group on or off (so that it is searched or not). You can also control the Signal Stalker mode – either “All Band” or “Police/Fire”.


Copy and Paste

Win97 will allow you to copy and paste channel and talk group data, as well as lockout frequencies in Search Ranges 3 through 6, for easier transfers between banks, P97 files, or even external data sources (text editors, spreadsheets, web sites, etc.).

Win97 uses the Windows “clipboard” to move data. The clipboard can be considered a temporary buffer within Windows that is used for copy/paste operations. Since Win97 uses the clipboard, it is compatible with many other Windows applications (subject to some data format restrictions discussed below).

Copy/Paste within Win97

To copy channel or talk group information from one location to another (i.e. between banks or P97 files), follow these steps:

1. On the Channels page, use the bank select to view the bank that contains the data you want to copy from.

2. Select the channels or talk groups that you want to copy.

3. From the Edit menu, select Copy (or press CTRL+C).

4. Use the bank select to view the bank you want copy the data to.

5. Click on the first channel or talk group that will receive the data. This channel or talk group, and any that follow it up to the number of items you selected in step (2), will be overwritten with the copied data.

6. From the Edit menu, select Paste (or press CTRL+V).

7. The channels or talk groups that you selected in step (2) will appear in the current bank.

Copy/Paste External Data

You can copy data from external sources into Win97, or copy Win97’s data to some other program.

Copying data to an external program

1. Select and copy the data as in steps 1-3 above, as if you were doing a copy/paste operation within Win97. The data is now on the clipboard in two formats: the raw format native to Win97, and a text format that can be used by other applications.

2. If it’s not already running, start the program into which you want to paste the data (e.g. Notepad, Excel, or some other text editor or spreadsheet software).

3. In that external program, move the cursor to the point at which you want to paste / insert the copied data.

4. Follow the other program’s instructions for pasting data (usually, you will select Paste from the program’s Edit menu or press CTRL+V).

5. The data should now appear in the other program.

Pasting data from an external program

1. In the external program, select the range of data that you want to copy into Win97.

2. Follow the other program’s instructions for copying data to the clipboard (usually, you will select Copy from the program’s Edit menu or press CTRL+C). The data should now be on the clipboard in a text format (see below for the required data formats for channel and talk group information).

3. If it’s not already running, start Win97.

4. Follow steps 4-7 under Copy/Paste within Win97 above to paste the data into Win97.

Text Format for External Copy and Paste Operations

Win97 requires that data copied from external programs be in a specific format, so that Win97 can “understand” what the data represents.

Win97 expects the data to be in a row/column arrangement. Rows are separated by “newline” characters (either a carriage return by itself or a carriage return / line feed pair). This newline representation is consistent with plain text editors and certain spreadsheets (e.g. Excel). Columns are separated by “TAB” characters. You can generate this character in a text editor (like Notepad) by pressing the TAB key. When you use Excel’s Copy function to put a range of cells on the clipboard, Excel separates columns with the TAB character.

Perhaps the easiest way to describe this format is to show how Win97 generates the text format to send to external apps:

Text Format for Channel Data

This is how two rows (channels) of frequency data would look if copied to the clipboard within Win97:

SantaClaraC9    867.07500    MOT   0.0 D

CHP Base         42.50000     CT 131.8 D A L

At the end of each “row” is a Carriage Return / Line Feed pair (not visible here).

Between the “columns” are single TAB characters (they’re space characters in this help text, so that the columns will line up).

The columns, left-to-right, are:

Alpha Tag Up to 16 characters of alphanumeric text. The first row’s tag contains 12 characters of visible text. The second row happens to have 4 extra blank spaces after the word “Base”.

Frequency A valid PRO-97 frequency. The decimal point is required. After the decimal point, there must be either 3, 4, 5, or 6 digits.

RxMode A valid receive mode for the PRO-97. This must be one of: AM, FM, MOT, EDACS, CT, DC, or LTR. The example above “pads” the mode text on the left with blank spaces. “CT” in the second row actually has 3 blank spaces before it (but after the TAB that separates the RxMode column from the Frequency column).

CT/DC A valid CT tone frequency or DC code. The CT tone frequency must have a decimal point and exactly one digit after the decimal. A DC code must be exactly 3 octal digits (each value is between 0 and 7).

Delay ‘D’ if delay is on for this channel, a blank space if not.

Attenuation ‘A’ if attenuation is on for this channel, a blank space if not.

Lockout ‘L’ if this channel is locked out, a blank space if not.

Note: while Win97 does put the Delay, Attenuation, and Lockout flags into the text data that it copies to the clipboard, it does not use this information when you paste text data into Win97. External data need not have these columns.

For a column to be considered “valid”, all rows must have good data in that column. For example, if the second row above had “ABC” instead of “CT”, then Win97 would ignore the entire receive mode column (if the Alpha Tag column didn’t exist, then this erroneous receive mode column would be considered the Alpha Tag column, since “MOT” and “ABC” are valid alpha tags).

Text Format for Search Range Lockouts

The format for lockout frequencies is identical to that for Channel Data, where only the “Frequency” column is used. Only that column need be present. Any other columns of data that happen to exist will be ignored.

Text Format for Talk Group Data

This is how two rows of talk group data would look if copied to the clipboard within Win97:

Police Disp     00016 L

Police Incid    00048

At the end of each “row” is a Carriage Return / Line Feed pair (not visible here).

Between the “columns” are single TAB characters (they’re space characters in this help text, so that the columns will line up).

The columns, left-to-right, are:

Alpha Tag Up to 16 characters of alphanumeric text.

ID A valid talk group ID. IMPORTANT: The format of this data depends on two things: the bank’s trunking mode and the current talk group ID display format (DEC, HEX, or AFS). Before pasting external data into Win97, you must set the trunking mode and display format to match the data you’re pasting. The example above contains Motorola Type-II talk group IDs, displayed in decimal format. To successfully paste this data, you must first set the bank’s trunking mode to MOT and the talk group display format to DEC.

Lockout ‘L’ if this talk group is locked out, a blank space if not.

Note: while Win97 does put the Lockout flag into the text data that it copies to the clipboard, it does not use this information when you paste text data into Win97. External data need not have this column.

For a column to be considered “valid”, all rows must have good data in that column. For example, if the second row above had “01-123” instead of “00048”, then Win97 would ignore the entire receive ID column (if the Alpha Tag column didn’t exist, then this erroneous ID column would be considered the Alpha Tag column, since “00016” and “01-123” are valid alpha tags).

Header Row

For each of the text Paste operations described above, you can supply a “Header Row” that Win97 will use to interpret the data that follows. This will alleviate some of the restrictions on the format of the data (particularly frequencies).

For example, if the data you copy to the clipboard looks like:

#

Alpha Tag

Frequency

Rx Mode

CT/DC

8

SantaClaraC9

867.07500

MOT

9

SantaClaraCA

867.33750

MOT

10

SantaClaraCB

868.98750

MOT

11

Cupertino PD

155.70000

FM

12

CHP Base

42.50000

CT

131.8

13

CHP Cars

42.28000

CT

131.8

then Win97 will correctly interpret the data. This is an improvement over the auto-detect mechanism, as that method requires that each cell have valid data for the data type. One “bad cell” can mess up an entire column and, possibly, the entire paste operation. With a header row, “bad cells” will simply be ignored (or adjusted to “valid” data).

Note: The “#” column is ignored. Paste operations always start at the first selected Win97 row and continue sequentially.

The text in the header row must match the text in the column headers for the grid. In the example above, the text exactly matches the column headers for the “Channels” grid.

Similar header rows can be used when pasting Talk Group and Search Range Lockout data.


File Import and Export

You can import and export CSV (comma-delimited text) files with Win97.

CSV Export

1. From the File menu, select Export…. You’ll be presented with a “Save As” dialog box in which you can:

· navigate to the folder to which you want to save the CSV file,

· select the type of file to export (select “CSV Files” here), and

· enter the name of the output file (enter a name in the form Filename.CSV).

After completing the above, click the Save button.

2. Win97 will display a box in which you can select the banks and data types to save. You can:

· check individual boxes,

· click a “Bank n” button to save all data for that bank,

· click one of the three buttons along the top of the grid to save that data type for all banks, or

· click the “Select All” or “Select None” boxes to check/uncheck all of the grid boxes.

Note: If you’re saving data for a trunked bank, you should check the “trunking info” box for that bank. This will ensure that the file contains the bank’s trunking mode, fleet map, and talk group display format.

After selecting which data you want to save, click the OK button.

CSV Import

When you import a CSV file, Win97 uses that file’s data to replace data in the current P97 file. This is useful if you’re “building” a P97 file from several external CSV files. If you don’t want to overwrite the current P97 file’s data, first select New template from the File menu.

1. From the File menu, select Import…. You’ll be presented with an “Open” dialog box in which you can:

· navigate to the folder that contains the CSV file you want to import,

· select the type of file to import (select “CSV Files” here), and

· enter the name of the input file (enter a name in the form Filename.CSV, or just select a CSV file from the file/folder list).

The file’s “extension” must be .CSV.

After completing the above, click the Open button.

2. Win97 will parse the data in the selected CSV file, and will replace the current P97’s data with that found in the CSV. Only those banks, channels, and talk groups that are actually in the CSV file will be overwritten – all other existing data in the P97 file will remain intact.

CSV Data Sets

You can create a text file (extension .txt) that contains the names of up to 10 CSV files. Each of the CSV files should contain one bank of data. If you import this text file, Win97 will create a new “template” (as if you’d selected New from the File menu), then will read each of the CSV files it finds in the text file into its own bank.

When reading the text file, Win97 ignores any lines that begin with a hash mark (#) or that are empty. To skip a bank (that is, don’t read any CSV file into that bank), put the text <empty> on its own line for that bank.

For example, suppose a text file contained the following:

# A sample CSV Data Set file

#

# Bank 0, Santa Clara's MOT system

c:\program files\winxx\Santa Clara, CA - MOT.csv

# Bank 1 is empty (not read)

<empty>

# Bank 2 - Moffet Field

c:\program files\winxx\Moffet Field.csv

# Bank 3 is empty (not read)

<empty>

# Bank 4 - San Francisco

c:\program files\winxx\San Francisco.csv

# No more valid CSV filenames in this file, so remaining banks are left blank

If you imported this text file, Win97 would read Santa Clara, CA – MOT.csv into Bank 0, Moffet Field.csv into Bank 2, and San Francisco.csv into Bank 4. The remaining banks would be “blank” – banks 1 and 3 because they have explicit <empty> text, and banks 5 through 9 because there are no lines in the file for them.

CSV File Format

This section describes the data format that Win97 creates on export and requires on import. Failure to adhere to these requirements will result in the “ignoring” of your external data (at best) or the corruption of your P97 file’s data (at worst).

The CSV file contains three types of records: Bank Trunking Information, Channel Data, and Talk Group Data. When exporting, Win97 will always order the records first by bank, then by record type (in the order listed above). When importing, you should ensure that the Trunking Information for a bank comes before the bank’s talk group data. This is so Win97 “knows” how to interpret the talk group IDs.

Trunking Information

This record has the form:

BankNumber,TrunkingMode,F0,F1,F2,F3,F4,F5,F6,F7,TGDispMode

where:

BankNumber is a number 0-9 indicating the bank this record is for.

TrunkingMode is a text string indicating the bank’s “type”. Must be one of: CONV, MOT, EDACS, or LTR.

F0 - F7 define the fleet map. These are given as size codes, from 0 through 14, and are used only for Motorola Type-I systems.

TGDispMode     tells Win97 the format of any talk group IDs that might be present in the CSV file. Must be one of: DEC, HEX, or AFS.

The BankNumber and TrunkingMode fields are required. All remaining fields are optional. However, if you use the TGDispMode field, you must have all of the fleet map fields. So this record is valid:

0,MOT

but this one is not:

0,MOT,DEC

For example, a Motorola Type-II system in bank 1, where talk group IDs are displayed in Decimal would have this record:

1,MOT,0,0,0,0,0,0,0,0,DEC

A Motorola Type-I system in bank 3, with fleet map preset E1P14, where talk group IDs are displayed in Agency-Fleet-Subfleet format would have this record:

3,MOT,4,3,10,4,4,4,12,12,AFS

(note that the AFS display mode is not important to Win97 here, as Type-I IDs have a fixed display format).

Channel Data

This record has the form:

BankNumber,ChannelNumber,AlphaTag,Frequency,ReceiveMode,CT/DC

where:

BankNumber is a number 0-9 indicating the bank this record is for.

ChannelNumber is a number 0-99 indicating which channel this record is for.

AlphaTag is a text string to use as the alpha tag for this channel. Strings longer than 16 characters will be truncated. If the tag contains commas or leading or trailing spaces, then the string must be enclosed in double quotes ("). If the string actually contains a double quote character, then the entire string must be enclosed in double quotes, and the embedded double quote must be preceded by a second double quote. For example, the alpha tag My " Tag must appear as "My "" Tag".

Frequency is a valid PRO-97 frequency for this channel. Invalid data (out-of-range, off-step) will be adjusted to the nearest valid frequency.

ReceiveMode is a text string indicating the channel’s receive mode. Must be one of: AM, FM, MOT, EDACS, CT, DC, or LTR.

CT/DC is a valid CT tone frequency or DC code.

The BankNumber, ChannelNumber, AlphaTag, and Frequency fields are required. The ReceiveMode and CT/DC fields are optional. However, if you use the CT/DC field, you must also have the ReceiveMode field. So this record is valid:

0,2,MyTag,42.28000

but this one is not:

0,2,MyTag,42.28000,131.8

For example, bank 0, channel 2, 42.28MHz, CHP Cars, CT, tone frequency 131.8 would look like:

0,2,"CHP Cars    ",42.28000,CT,131.8

A Motorola control channel frequency in bank 3, channel 27 might look like:

3,27,SantaClaraC2,868.62500,MOT,0.0

Talk Group Data

This record has the form:

BankNumber,SubBankNumber,IDNumber,AlphaTag,ID

where:

BankNumber is a number 0-9 indicating the bank this record is for.

SubBankNumber is a number 0-4 indicating the talk group sub-bank this record is for.

IDNumber is a number 0-29 indicating which talk group ID this record is for.

AlphaTag is a text string to use as the alpha tag for this talk group. Strings longer than 16 characters will be truncated. If the tag contains commas or leading or trailing spaces, then the string must be enclosed in double quotes ("). If the string actually contains a double quote character, then the entire string must be enclosed in double quotes, and the embedded double quote must be preceded by a second double quote. For example, the alpha tag My " Tag must appear as "My "" Tag".

ID is a valid talk group for the current bank trunking mode, fleet map, and talk group display format.

The BankNumber, SubBankNumber, IDNumber, and AlphaTag fields are required. The ID field is optional.

For example, bank 0, ID subbank number 0, ID number 2, Police Disp, ID 48 (in a Motorola Type-II system), display format Decimal would look like:

0,0,2,Police Disp,48

An EDACS ID in bank 2, ID subbank number 1, ID number 0, Police Disp, ID 13-060, display format AFS would look like:

2,1,0,Police Disp,13-060

Here is a snippet of a CSV file for the Santa Clara, CA public safety system. It’s a Motorola Type-II system loaded into Bank 0. That bank also has a couple of conventional frequencies (CHP and WWV). Note that several alpha tags are enclosed in the double quote character. This is because they contain trailing spaces. When creating such a CSV file, you don’t really need the trailing spaces, as Win97 will automatically pad any alpha tags with fewer than 16 characters with spaces, so that the tag contains exactly 16 characters. When exporting to a CSV file, Win97 keeps the trailing spaces and encloses the entire tag in double quotes so that external software will “see” the entire 16-character tag.

0,MOT,0,0,0,0,0,0,0,0,DEC

0,0,SantaClaraC1,867.86250,MOT,0.0

0,1,SantaClaraC2,868.62500,MOT,0.0

0,2,SantaClaraC3,868.88750,MOT,0.0

0,3,SantaClaraC4,866.20000,MOT,0.0

0,4,SantaClaraC5,866.26250,MOT,0.0

0,5,SantaClaraC6,866.46250,MOT,0.0

0,6,SantaClaraC7,866.83750,MOT,0.0

0,7,SantaClaraC8,866.91250,MOT,0.0

0,8,SantaClaraC9,867.07500,MOT,0.0

0,9,SantaClaraCA,867.33750,MOT,0.0

0,10,SantaClaraCB,868.98750,MOT,0.0

0,11,"CHP Cars    ",42.28000,CT,131.8

0,12,"CHP Base    ",42.50000,CT,131.8

0,13,"WWV         ",25.00000,AM,0.0

0,0,0,"Police Disp ",00016

0,0,1,Police Incid,00048

0,0,2,"Police Recs ",00112

0,0,3,Police Suprv,01616

0,0,4,Police Admin,01648

0,0,5,Police Lias1,00208

0,0,6,Police Lias2,00240

0,0,7,"Police Dets ",00080

0,0,8,"Police Comn ",00912

0,0,9,Police Comax,01200

0,0,10,Fire Disptch,00272

0,0,11,Fire Incid 1,00304

0,0,12,Fire Incid 2,00336

0,0,13,Fire Incid 3,00368

0,0,14,"Fire Admin  ",01712

0,0,15,"Fire BCs    ",01744

0,0,16,"Fire Chem   ",01776

0,0,17,"Fire Common ",00944

0,0,18,Citywd Emerg,00144

0,0,19,Citywd MjInc,00176


Bank Editor

Win97’s Bank Editor function allows you to rearrange the 10 banks in the PRO-97, without any cumbersome and/or error-prone copy and paste operations. To start the Bank Editor, go to the Edit menu and select Bank Editor (or press ALT+B). The Bank Editor window will be displayed:

The four columns in the grid display:

· The “new” bank number for the row’s data

· The “old” bank number for the row’s data

· The bank’s Alpha Tag

· The bank’s Trunking Mode

In this window, you can move banks around, copy one bank’s data to another bank, or clear the contents of an entire bank. These operations must be performed in this order: Move, then Copy, then Clear. Once you’ve “copied” any bank to another bank, you cannot then “move” any banks. Likewise, once you’ve “cleared” the contents of a bank, you can’t then “move” or “copy” any banks. The move and copy buttons will be disabled as appropriate.

To Move the contents of a bank from its current location to a new bank, click anywhere in the bank’s row in the grid, then click the up and/or down arrow buttons. The selected bank will “bubble” up or down depending on the direction chosen. For example, if you click on bank 02, then click the Up arrow button, you’ll see the banks 01 and 02 swapped as bank 02 is moved up in the list..

To Copy the contents of a bank to another bank, click anywhere in the source bank’s row in the grid, then click the Copy… button. A new window will be presented asking you to select the target bank, as well as what data you want to copy (Channels, Talk Groups, Bank Tag, and Trunking Settings – the default is to copy all of these). Click one of the 10 “radio buttons” (the one-of-10 selection) to choose the destination bank, check or uncheck the data option boxes, then click the OK button (or the Cancel button to abort this bank copy operation). In the grid, you’ll see the destination bank’s contents updated with the information from the source bank (the Bank Name and Mode cells will only be updated if you elected to copy the Bank Tag and Trunking Settings, respectively; otherwise, those cells will retain their previous values). Additionally, the Up and Down arrow buttons will be disabled (“grayed-out”) if they were not already.

To Clear the contents of a bank, click anywhere in the bank’s row in the grid, the click the Clear button. The text in that row will be changed to red to indicate that it will be cleared (you may have to move the row highlight off of the cleared row to see the change in color). Additionally, the Up and Down arrow buttons and the Copy… button will be disabled (“grayed-out”) if they were not already.

When you are finished rearranging/copying/clearing banks, click the Bank Editor window’s OK button (or the Cancel button to discard all of your changes). You’ll be returned to the main Win97 window, and the Channels page will be updated to reflect your edits.


Troubleshooting

This section is intentionally left blank. In future versions of the help file, this page will be populated with answers to support questions that appear on various mailing lists, direct emails to the author, etcetera. The same content will be available at the Win97 web site.


Revision History

Version 1.13 2006.11.07

· Fixed a bug that, in rare circumstances, could cause a crash when saving P97 files.

Version 1.12 2006.01.14

· Added the ability to write to a file (and then later read back) the XML data that is returned by RadioReference.com. This might be useful if you wanted to manually (or programmatically) edit such things as “display” or “description” fields before actually importing into a bank.

Version 1.11 2006.01.09

· Added a message that is displayed when an error is detected in the XML received from RadioReference.com.

Version 1.10 2006.01.07

· Added import of conventional frequencies from RadioReference.com.

Version 1.09 2006.01.06

· Fixed a bug with the RadioReference.com import (caused by some test code that was inadvertently left in the release build)

· Note: this build contains some in-progress conventional frequency import code. The feature does not yet work.

Version 1.08 2006.01.05

· Fixed the start frequency for Group 3 in SR3 (Police/Fire).

· Fixed a bug that would cause a crash if you right-click in an empty area of a grid (i.e. not on a cell).

Version 1.07 2005.09.04

· Fixed the attenuation settings on Weather channels.

Version 1.06 2005.08.18

· Removed the “must be a multiple of 4” filtering on the backlight timeout, to allow control of the PRO-2055 backlight.

Version 1.05 2005.07.03

· Extended allowed alpha tagging lengths in the Web Import dialog, to account for the PRO-97’s 16-character display.

· Added LTR to the Frequency Fill feature, and fixed the max channels (was 50, is now 100).

Version 1.04 2005.06.23

· Removed checks for 16 characters when entering alpha tags. Win97 will still truncate (or pad) each entry to 16 characters, but no error messages will be issued if more characters are entered.

Version 1.03 2005.05.17

· Fixed up some handling of blank channels when sorting, moving channels around, etc.

Version 1.02 2005.05.17

· Fixed Normal/Splinter setting for Mot 800 MHz systems

Version 1.01 2005.05.16

· First non-beta release